%define name	real-codecs
%define version	1.2
%define release	3plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
%ifarch %ix86
Summary:	Real 9 codecs binaries
%else
Summary:	Real 8 codecs binaries
%endif
License:	Commercial
Group:		System/Libraries
URL:		http://realforum.real.com/cgi-bin/unixplayer/wwwthreads.pl
Source:		http://www1.mplayerhq.hu/MPlayer/releases/codecs/rp9codecs.tar.bz2
Source1:	http://www1.mplayerhq.hu/MPlayer/releases/codecs/rp8codecs-ppc.tar.bz2
Source2:	http://www1.mplayerhq.hu/MPlayer/releases/codecs/rp8codecs-alpha.tar.bz2
Source3:	real-codecs-10.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
ExclusiveArch:	%{ix86} ppc alpha

%description
%ifarch %ix86
This package contains Real 9 codecs binaries.
%else
This package contains Real 8 codecs binaries.
%endif

This package is in PLF for it's closed source nature.

%prep
%setup -q -n rp9codecs -a 1 -a 2 -a 3

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/real
%ifarch %ix86
install -m 755 *.so* $RPM_BUILD_ROOT%{_libdir}/real
%endif
%ifarch ppc
install -m 755 rp8codecs-ppc/* $RPM_BUILD_ROOT%{_libdir}/real
%endif
%ifarch alpha
install -m 755 rp8codecs-alpha/* $RPM_BUILD_ROOT%{_libdir}/real
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/real

%changelog
* Sat Sep 24 2005 Goetz Waschk <goetz@ryu.zarb.org> 1.2-3plf
- add cook.so and drvc.so

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.2-2plf
- fix description

* Mon Sep  8 2003 Gtz Waschk <goetz@plf.zarb.org> 1.2-1plf
- switch to mplayer codec pack for x86 too, should also work with xine

* Tue Aug 19 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1-1plf
- include alpha and ppc rp8 codecs

* Wed Jul 16 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.0-1plf
- first plf release
